package com.uvigo.mhp.ui;

import java.beans.*;

public class HScrollBarBeanInfo extends SimpleBeanInfo
{
    public BeanDescriptor getBeanDescriptor()
    {
        BeanDescriptor bd=new BeanDescriptor(HScrollBar.class);
        return(bd);
    }
    
    public PropertyDescriptor[] getPropertyDescriptors()
    {
        try
        {
            PropertyDescriptor pd1 = new PropertyDescriptor("background", HScrollBar.class);
            PropertyDescriptor pd2 = new PropertyDescriptor("foreground", HScrollBar.class);
            PropertyDescriptor pd3 = new PropertyDescriptor("orientation", HScrollBar.class);
            PropertyDescriptor pd4 = new PropertyDescriptor("minValue", HScrollBar.class);
            PropertyDescriptor pd5 = new PropertyDescriptor("maxValue", HScrollBar.class);
            PropertyDescriptor pd6 = new PropertyDescriptor("value", HScrollBar.class);
            PropertyDescriptor pd7 = new PropertyDescriptor("look", HScrollBar.class);
            PropertyDescriptor pd8 = new PropertyDescriptor("backgroundMode", HScrollBar.class);
            PropertyDescriptor pd9 = new PropertyDescriptor("font", HScrollBar.class);
            PropertyDescriptor pd10= new PropertyDescriptor("unitIncrement", HScrollBar.class);
            PropertyDescriptor pd11= new PropertyDescriptor("contentFile", HScrollBar.class);
            PropertyDescriptor pd12= new PropertyDescriptor("name", HScrollBar.class);
            pd1.setBound(true);
            pd2.setBound(true);
            pd3.setBound(true);
            pd3.setPropertyEditorClass(HScrollBarOrientationEditor.class);
            pd4.setBound(true);
            pd5.setBound(true);
            pd6.setBound(true);
            pd7.setBound(true);
            pd8.setBound(true);
            pd8.setPropertyEditorClass(BackgroundModeEditor.class);
            pd9.setBound(true);
            pd10.setBound(true);
            pd11.setBound(true);
            pd12.setBound(true);
            return new PropertyDescriptor[]
            {pd1, pd2, pd3, pd4, pd5, pd6, pd7, pd8, pd9, pd10, pd11, pd12};
        }
        catch (Exception ex)
        {
            ex.printStackTrace();
            return null;
        }
    }
    
    public java.awt.Image getIcon(int iconKind)
    {
        return null;
    }
}